Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class CMCUnsignedData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.CMCUnsignedData

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CMCUnsignedData
extends ASN1Object

id-aa-cmc-unsignedData OBJECT IDENTIFIER ::= {id-aa 34} CMCUnsignedData ::= SEQUENCE { bodyPartPath BodyPartPath, identifier OBJECT IDENTIFIER, content ANY DEFINED BY identifier }

Constructor Summary
`CMCUnsignedData(BodyPartPath bodyPartPath, ASN1ObjectIdentifier identifier, ASN1Encodable content)`

Method Summary
`BodyPartPath` | `getBodyPartPath()`
`ASN1Encodable` | `getContent()`
`ASN1ObjectIdentifier` | `getIdentifier()`
`static CMCUnsignedData` | `getInstance(java.lang.Object o)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMCUnsignedData

    public CMCUnsignedData(BodyPartPath bodyPartPath,
                           ASN1ObjectIdentifier identifier,
                           ASN1Encodable content)

Method Detail

### getInstance

    public static CMCUnsignedData getInstance(java.lang.Object o)

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### getBodyPartPath

    public BodyPartPath getBodyPartPath()

### getIdentifier

    public ASN1ObjectIdentifier getIdentifier()

### getContent

    public ASN1Encodable getContent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD